# Uses of Interface
org.eclipse.gef.dnd.TransferDragSourceListener

Packages that use TransferDragSourceListener
Package
Description
org.eclipse.gef
All interfaces, base types, and the plugin class are here.
org.eclipse.gef.dnd
org.eclipse.gef.ui.parts

## Uses of TransferDragSourceListener in org.eclipse.gef

Methods in org.eclipse.gef with parameters of type TransferDragSourceListener
Modifier and Type
Method
Description
`void`
EditPartViewer.`addDragSourceListener(TransferDragSourceListener listener)`
Provided for compatibility with existing code.
`void`
EditPartViewer.`removeDragSourceListener(TransferDragSourceListener listener)`
Deprecated.

## Uses of TransferDragSourceListener in org.eclipse.gef.dnd

Classes in org.eclipse.gef.dnd that implement TransferDragSourceListener
Modifier and Type
Class
Description
`class`
`AbstractTransferDragSourceListener`
An abstract implementation of `TransferDragSourceListener` associated with an `EditPartViewer`
`class`
`TemplateTransferDragSourceListener`
Allows a single `PaletteTemplateEntry` to be dragged from an EditPartViewer.
Methods in org.eclipse.gef.dnd with parameters of type TransferDragSourceListener
Modifier and Type
Method
Description
`void`
DelegatingDragAdapter.`addDragSourceListener(TransferDragSourceListener listener)`
Deprecated.
`void`
DelegatingDragAdapter.`removeDragSourceListener(TransferDragSourceListener listener)`
Deprecated.

## Uses of TransferDragSourceListener in org.eclipse.gef.ui.parts

Methods in org.eclipse.gef.ui.parts with parameters of type TransferDragSourceListener
Modifier and Type
Method
Description
`void`
AbstractEditPartViewer.`addDragSourceListener(TransferDragSourceListener listener)`
`void`
AbstractEditPartViewer.`removeDragSourceListener(TransferDragSourceListener listener)`
Deprecated.